package com.ruoyi.system.mapper.md;

import com.ruoyi.system.domain.md.JbWorkUser;
import com.ruoyi.system.domain.md.JbWorkUserExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface JbWorkUserMapper {
    long countByExample(JbWorkUserExample example);

    int deleteByExample(JbWorkUserExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(JbWorkUser record);

    int insertSelective(JbWorkUser record);

    List<JbWorkUser> selectByExample(JbWorkUserExample example);

    JbWorkUser selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") JbWorkUser record, @Param("example") JbWorkUserExample example);

    int updateByExample(@Param("record") JbWorkUser record, @Param("example") JbWorkUserExample example);

    int updateByPrimaryKeySelective(JbWorkUser record);

    int updateByPrimaryKey(JbWorkUser record);
}